unit UniteBaseCGI;

interface

uses
  Windows, Messages, SysUtils, Classes, HTTPApp;

type
  TWEB = class(TWebModule)
    procedure WEBMessageBienvenueAction(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  WEB: TWEB;

implementation

{$R *.DFM}

procedure TWEB.WEBMessageBienvenueAction(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
Var HTML: String;
    Poids,Taille: Double;
begin
 //cer dynamiquement la page
 HTML:= '<HTML><HEAD><TITLE>Rponse CGI</TITLE></HEAD><BODY BGCOLOR="CCCCCC">';
 HTML:= HTML+'Salud amigos :'+Request.URL+'<BR>';
 //rcuprer les champs entrs par l'utilisateur
 //on utilise pour cela l'instance d'objet REQUEST
 //remarquez la concordance entre le nom des champs texte
 //du formulaire HTML et le nom des champs utiliss dans
 //l'instruction Request.ContentFields.Values['xxxx']
 TRY
 Taille:= STRTOFloat(Request.ContentFields.Values['taille']);
 Poids:= STRTOFloat(Request.ContentFields.Values['poids']);
 EXCEPT
 Taille:= 0;
 Poids:= 0;
 END;
 //finir la page
 HTML:= HTML+'Votre taille est : '+FormatFloat('0',Taille)+' cm<BR>';
 HTML:= HTML+'Votre poids est : '+FormatFloat('0',Poids)+' kg<BR>';
 If (Poids+100>Taille)
  Then HTML:= HTML+'<B>Vous tes trop lourd.</B>'
  Else HTML:= HTML+'<B>Ca va.</B>';
 HTML:= HTML+'</BODY></HTML>';
 //envoyer la rponse
 //en utilisant l'instance d'objet RESPONSE
 Response.Content:= HTML;
end;

end.
